Wind River Support Network

HomeDefectsLIN5-10239
Fixed

LIN5-10239 : Security Advisory - php - CVE-2013-1824

Created: Oct 16, 2013    Updated: Dec 19, 2017
Resolved Date: Dec 7, 2013
Previous ID: LIN4-13679
Found In Version: 5.0
Fix Version: 5.0.1.10
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The SOAP parser in PHP before 5.3.22 and 5.4.x before 5.4.12 allows remote attackers to read arbitrary files via a SOAP WSDL file containing an XML external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue in the soap_xmlParseFile and soap_xmlParseMemory functions.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2013-1824

Workaround

Unknown

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online